# Projet tuteuré T2

Les étapes du projet tuteuré T2 sont les suivantes :

1. 10h00
    1. Consulter le groupe qui vous est attribué dans le document des groupes.
    1. Lire le cahier des charges, sans communiquer avec le groupe T4.
    1. Faire des observations en utilisant la fonction commentaires pour aider à améliorer ce document.
        - l'objectif principal ici est d'identifier tout ce qui n'est pas parfaitement clair.
1. 11h00
    1. Rejoindre votre groupe T4
    1. Dupliquer ce fichier d’évaluation dans leur GIT, en suivant la règle de nommage `Evaluation-T4-Prénom_Nom.md` 
        - Demander au T4 de le faire si besoin, et vérifier que vous pouvez le modifier.
        - Ajouter un lien vers votre duplicata dans le document des groupes.
    1. Jouer au jeu, et proposer des améliorations dans la section ci-dessous.
    1. Faire remplir la grille d'évaluation T2 et le résultat T2 ci-dessous par les membres du T4.
1. Assister à la présentation plénière à 14h dans les amphis 1 ou 2.
1. Remplir la grille d'évaluation T4 ci-dessous, et remplir le résultat T4.
    - Un soin particulier doit être apporté aux justifications.
    - Ne pas juste réécrire ou paraphraser un critère (Exemple : "_les commits sont pertients_").
    - Apporter des informations concrètes (Exemple : "_il y a eu x commits par y personnes, et la moitié sont commentés clairement_").
1. Rendu avant 17h.

# Propositions d'amélioration du jeu

- Proposition 1
- Proposition 2

## Grille d'évaluation T2 (à remplir par les membres du groupe T4)

- Procédure
  - [ ] La procédure a été suivie à la lettre sans le moindre écart.
  - [ ] La procédure a été globalement suivie.
  - [x] La procédure n'a pas été bien suivie.
- Propositions d'amélioration du jeu
  - [ ] Au moins trois propositions d'améliorations pertinente sont faites.
  - [ ] Au moins trois propositions d'améliorations sont faites.
  - [x] Moins de trois propositions d'améliorations sont faites.
- Propositions d'amélioration du Cahier des charges
  - [ ] Au moins cinq propositions d'améliorations pertinente sont faites.
  - [ ] Au moins cinq propositions d'améliorations sont faites.
  - [x] Moins de cinq propositions d'améliorations sont faites.
- Implication
  - [ ] L'implication T2 été vraiment été cruciale dans le processus du T4.
  - [ ] L'implication T2 a permis d'améliorer le T4.
  - [x] Il y a eu un défaut d'implication T2.

### Résultat T2
- Total d'item « Excellent » (2 point) : 
- Total d'item « Satisfaisant » (1 point) : 
- Total d'item « Insatisfaisant » (0 point) :
- Total des points (sur 8) : 



# Grille d'évaluation T4

## GIT 
- Organisation
  - [ ] Les fichiers sources suivent une organisation et des règles de nommage clairement établie.
  - [ ] Les fichiers sources sont tous partagés et organisés.
  - [x] Certains fichiers sources ne sont pas partagés ou leur organisation laisse à désirer.
- Versioning
  - [ ] La granularité des commits est pertinente et les commits sont clairement et systématique renseignés.
  - [ ] La granularité des commits n'est pas pertinente ou les commits ne sont pas clairement et systématiquement renseignés.
  - [x] La granularité des commits n'est pas pertinente et les commits ne sont pas clairement et systématiquement renseignés.
- Droits d'accès
  - [ ] Julien Gossa a le rôle avec le plus de droits sur le dépôt GIT et ce dépôt est accessible à tous.
  - [ ] Julien Gossa a le rôle avec le plus de droits sur le dépôt GIT.
  - [x] Julien Gossa n'a pas le rôle avec le plus de droits sur le dépôt GIT.
- README.md
  - [ ] Le README est complet, avec : une présentation du projet, la procédure d'installation et d'exécution, et des captures d'écran du jeu.
  - [ ] Le README n'est pas complet.
  - [x] Il n'y a pas de README.
- CDC.md
  - [ ] Le CDC est conforme au document partagé de travail, et les deux sont liés depuis le README.
  - [ ] Le CDC est conforme au document partagé de travail, ou les deux sont liés depuis le README.
  - [x] Le CDC n'est oas conforme au document partagé de travail, et les deux ne sont pas liés depuis le README.


Justifications :

## Prototype
- Installation
  - [ ] Le prototype s'installe sans effort.
  - [ ] Le prototype s'installe en suivant une procédure.
  - [x] Le prototype ne s'installe pas.
- Exécution
  - [ ] Le prototype s'exécute en cliquant sur une icône.
  - [ ] Le prototype s'exécute en suivant une procédure.
  - [x] Le prototype ne s'exécute pas
- Stabilité
  - [ ] Le prototype est parfaitement stable
  - [ ] Le prototype est rarement instable
  - [x] Le prototype est instable
- Affordabilité
  - [ ] Toutes les instructions de jeu sont inclues dans le prototype au cours d'une partie normale.
  - [ ] Les instructions de jeu sont sous forme d'un manuel ou d'un tutoriel à part.
  - [x] Les instructions de jeu ne sont pas données.
- Transmission du concept
  - [ ] Le prototype permet de parfaitement transmettre le concept-cible au joueur.
  - [ ] Le prototype permet de transmettre le concept-cible au joueur.
  - [x] Le prototype ne permet pas de transmettre le concept-cible au joueur.

Justifications :
 
## Cahier des charges
- Modèle de document
  - [ ] Le CdC respecte parfaitement le modèle de document.
  - [ ] Le CdC respecte globalement le modèle de document.
  - [x] Le CdC ne respecte pas le modèle de document.
- Description de l'application
  - [ ] La description permet de se faire une idée précise et exhaustive de l'application attendue.
  - [ ] La description permet de se faire une idée de l'application attendue.
  - [x] La description ne permet pas de se faire une idée de l'application attendue.
- Modèle conceptuel
  - [ ] Le modèle conceptuel applicatif (MCD ou digramme de classe) est exhaustif et détaillé.
  - [ ] Le modèle conceptuel applicatif (MCD ou digramme de classe) est donné.
  - [x] Le modèle conceptuel applicatif (MCD ou digramme de classe) n'est pas donné.

Justifications : 

### Fonctionnalités
- Actions du joueur
  - [ ] La description des actions du joueur permet de connaitre parfaitement les interactions avec l'application.
  - [ ] La description des actions du joueur permet de se faire une première idées des interactions avec l'utilisateur.
  - [x] La description des actions du joueur ne pas permet pas de se faire une première idées des interactions avec l'utilisateur.
- Infomations au joueur
  - [ ] La description des informations au joueur permet de connaitre parfaitement les interactions avec l'application.
  - [ ] La description des informations au joueur permet de se faire une première idées des interactions avec l'utilisateur.
  - [x] La description des informations au joueur ne pas permet pas de se faire une première idées des interactions avec l'utilisateur.
- Description du moteur interne
  - [ ] La description du moteur interne permet de comprendre parfaitement le fonctionnement de l'application.
  - [ ] La description du moteur interne permet de comprendre le fonctionnement de l'application.
  - [x] La description du moteur interne ne permet pas de comprendre le fonctionnement de l'application.
- Découpage modulaire 
  - [ ] L'application est couverte par des modules pertinents et pleinement décrits.
  - [ ] L'application est découpée en modules pertinents.
  - [x] L'application n'est pas découpée en modules pertinents.
- Granularité des fonctionnalités
  - [ ] Les fonctionnalités sont très fines.
  - [ ] Les fonctionnalités sont fines.
  - [x] Les fonctionnalités sont grossières.
- Exhaustivité des fonctionnalités
  - [ ] Les fonctionnalités couvrent la totalité de l'application.
  - [ ] Les fonctionnalités couvrent globalement l'application.
  - [x] Les fonctionnalités ne couvrent pas l'application.
- Description des fonctionnalités
  - [ ] Les fonctionnalités sont précisément décrites.
  - [ ] Les fonctionnalités sont décrites.
  - [x] Les fonctionnalités ne sont pas bien décrites.
- Priorisation des fonctionnalités
  - [ ] Les fonctionnalités sont classées par priorités de façon pertinentes.
  - [ ] Les fonctionnalités sont classées par priorités.
  - [x] Les fonctionnalités ne sont pas classées par priorités.
- Difficulté des fonctionnalités
  - [ ] Les fonctionnalités sont annotées par une difficulté pertinente.
  - [ ] Les fonctionnalités sont annotées par une difficulté.
  - [x] Les fonctionnalités ne sont pas annotées par une difficulté.

Justifications : 

### Scénarios
- Nombre
  - [ ] Au moins un scénario est pleinement développé et propose au moins deux alternatives.
  - [ ] Un scénario est pleinement développé.
  - [x] Un scénario n'est pas pleinement développé.
- Exhaustivité
  - [ ] Le scénario développé s'appuie sur toutes les fonctionnalités.
  - [ ] Le scénario développé s'appuie sur toutes les fonctionnalités principales
  - [x] Le scénario développé ne s'appuie pas sur toutes les fonctionnalités principales.
- Scénarios additionnels 
  - [ ] Des scénarios additionnels sont proposés, en expliquant leur intérêt. 
  - [ ] Des scénarios additionnels sont proposés. 
  - [x] Des scénarios additionnels ne sont pas proposés.

Justifications :

## Résultat T4
- Total d'item « Excellent » (2 point) : 
- Total d'item « Satisfaisant » (1 point) : 
- Total d'item « Insatisfaisant » (0 point) :
- total des points (sur 50) :
