﻿using UnityEngine;
using System.Data;
using System;
using UnityEngine.UI;
using System.Collections;
using System.Collections.Generic;
using UnityEngine.SceneManagement;
using UnityEngine.Tilemaps;

/// Gere les déplacements et le saut du joueur
/// 
/// Gere si un objet a été utiliser
/// Possede les fonctions de lors de l'utilisation de l'objet
public class PlayerMovement : MonoBehaviour
{
    public float moveSpeed;
    public float jumpForce;

    public int budget;
    public Text money;

    public Text jeuneSA;
    public Text jeuneINS;
    public Text retraiteSA;
    public Text retraiteINS;
    public Text travailleurSA;
    public Text travailleurINS;

    public int jeuneSA1=20;
    public int jeuneINS1=30;
    public int retraiteSA1=20;
    public int retraiteINS1=30;
    public int travailleurSA1=20;
    public int travailleurINS1=30;

    private bool isJumping;
    public bool isGrounded;
    public bool canMove;

    public Transform groundCheck;
    public float groundCheckRadius;
    public LayerMask collisionLayer1;

    public Rigidbody2D rb;
    public Animator animator;
    public SpriteRenderer spriteRenderer;

    private Vector3 velocity = Vector3.zero;
    private float horizontalMovement;
    public GameObject carre;

    public Button parc;
    public Button logement;
    public Button banc;
    public Button aire;
    public Button bureau;
    public Button tram;
    public Button maison_retraite;
    public Button hopital;
    public Button burger;
    public Button arcade;

    public static int counterTram = 0;
    public static int counterBurger = 0;
    public static int counterHopital = 0;
    public static int counterArcade = 0;
    public static int counterLogement = 0;
    public static int counterBanc = 0;
    public static int counterBureau = 0;
    public static int counterMaison_retraire = 0;
    public static int counterParc = 0;
    public static int counterAire_jeux = 0;

    public static int I = 0;

    public static int popSA;
    public static int popINS;
    public static bool echec;

    /// Crée l'inventaire et l'initialise
    private void Awake()
    {
        echec=false;
        canMove = true;
        parc.onClick.AddListener(actionParc);
        logement.onClick.AddListener(actionLogement);
        banc.onClick.AddListener(actionBanc);
        aire.onClick.AddListener(actionAire_jeu);
        bureau.onClick.AddListener(actionBureau);
        tram.onClick.AddListener(actionTram);
        maison_retraite.onClick.AddListener(actionMaison_retraite);
        hopital.onClick.AddListener(actionHopital);
        burger.onClick.AddListener(actionBurger);
        arcade.onClick.AddListener(actionArcade);
        money= GameObject.Find("Canvas/inventaire/txt_budget").GetComponent<Text>();
        jeuneSA = GameObject.Find("Canvas/GetJeuneSa").GetComponent<Text>();
        jeuneINS = GameObject.Find("Canvas/GetJeuneIns").GetComponent<Text>();
        retraiteSA = GameObject.Find("Canvas/GetRetraiteSa").GetComponent<Text>();
        retraiteINS = GameObject.Find("Canvas/GetRetraiteIns").GetComponent<Text>();
        travailleurSA = GameObject.Find("Canvas/GetTravailleurSa").GetComponent<Text>();
        travailleurINS = GameObject.Find("Canvas/GetTravailleurIns").GetComponent<Text>();
        carre.SetActive(false);
    }

    /// permet de recuperer les items au sol
    ///
    /// @param collider : Collider2D : collider de l'objet a croiser
    private void OnTriggerEnter2D(Collider2D collider)
    {
 
    }


    /// fait bouger le personnage, active son animation, ajoute les item dans l'inventaire depuis la liste du shop
    void Update()
    {
        if ((Input.GetButtonDown("Jump") || Input.GetKeyDown(KeyCode.UpArrow) || Input.GetKeyDown(KeyCode.Z)))
        {
            if (isGrounded == true)
            {
                isJumping = true;
            }
        }

        Flip(rb.velocity.x);

        float characterVolocity = Mathf.Abs(rb.velocity.x);
        animator.SetFloat("Speed", characterVolocity);

        if (budget < 0)
        {
            SceneManager.LoadScene("tableau score");
        }
        else if (jeuneINS1==50||retraiteINS1==50||travailleurINS1==50){
            echec=true;
            SceneManager.LoadScene("tableau score");
        }

        popSA=jeuneSA1+retraiteSA1+travailleurSA1;
        popINS=jeuneINS1+retraiteINS1+travailleurINS1;
    }

    /// calcule la vitesse du personnage et le fait bouger
    void FixedUpdate()
    {
        if (canMove)
        {
            horizontalMovement = Input.GetAxisRaw("Horizontal") * moveSpeed * Time.deltaTime;

            //isGrounded = Physics2D.OverlapArea(groundCheck.position, groundCheck.position);
            //isGrounded = Physics2D.OverlapCircle(groundCheck.position, groundCheckRadius, collisionLayer1);
            if (this.transform.position.y < -5)
            {
                isGrounded = true;
            }
            else
            {
                isGrounded = false;
            }

            Moveplayer(horizontalMovement);
        }    
    }

    /// fait bouger le joueur et sauter, fait joueur le son de saut
    /// 
    /// @param _horizontalMovement : float : vitesse du joueur--
    void Moveplayer(float _horizontalMovement)
    {

        Vector3 targetVelocity = new Vector2(_horizontalMovement, rb.velocity.y);
        rb.velocity = Vector3.SmoothDamp(rb.velocity, targetVelocity, ref velocity, 0.05f);

        if (isJumping == true)
        {
            rb.AddForce(new Vector2(0f, jumpForce));
            //AudioManager.instance.Play("jump");
            isJumping = false;
        }
        
    }

    /// fait retourner le sprite du joueur(regarde a gauche ou a droite)
    /// 
    /// @param _velocity : float : vitesse de déplacement du joueur
    void Flip(float _velocity)
    {
        if (_velocity > 0.1f)
        {
            spriteRenderer.flipX = true;
        }
        else if (_velocity < -0.1f)
        {
            spriteRenderer.flipX = false;
        }
    }

    /// affiche une gizmo permetant de visualiser le cercle pour si le joueur est au sol ou non
    private void OnDrawGizmos()
    {
        Gizmos.color = Color.red;
        Gizmos.DrawWireSphere(groundCheck.position, groundCheckRadius);
    }



    /// Converti un Vector3 en Vector3Int
    /// 
    /// @param vec : Vector3 : Vector3 à convertir
    /// @returns : Vector3Int : résultat
    public Vector3Int vecToVecInt(Vector3 vec)
    {
        Vector3Int vector = new Vector3Int();
        vector.x = Mathf.RoundToInt(vec.x);
        vector.y = Mathf.RoundToInt(vec.y);
        vector.z = Mathf.RoundToInt(vec.z);
        return vector;
    }

    /// renvoie une liste de tout les tiles dans une Tilemap donné
    /// 
    /// @param objet : Tilemap : tilemap ou il faut chercher tout les tiles
    /// @param decalage : int : nombre de tile entre le coté gauche de object et l'origine de la scene
    /// @returns : ListObjLoc : List<Vector3> : liste des positions des tiles dans objet
    public List<Vector3> positionObjet(Tilemap objet, int decalage)
    {
        Vector3 obj = Vector3.zero;
        List<Vector3> ListObjLoc = new List<Vector3>();

        BoundsInt bounds = objet.cellBounds;

        TileBase[] allTiles_object = objet.GetTilesBlock(bounds);
        for (int x = 0; x < bounds.size.x; x++)
        {
            for (int y = 0; y < bounds.size.y; y++)
            {
                TileBase tile = allTiles_object[x + y * bounds.size.x];
                if (tile != null)
                {
                    obj.x = x + 0.01f - decalage;
                    obj.y = y + 0.01f;
                    ListObjLoc.Add(obj);
                }
            }
        }
        return ListObjLoc;
    }

    void actionParc()
    {
        I = 1;
        counterParc++;
        carre.SetActive(true);
        int cout = 10000;
        budget = budget - cout;
        money.text = budget.ToString();
        majSatisfaction(10, 0, 2, 0, 10, 0);
    }

    void actionLogement()
    {
        I = 2;
        counterLogement++;
        carre.SetActive(true);
        int cout = 25000;
        budget = budget - cout;
        money.text = budget.ToString();
        majSatisfaction(0, 20, 0, 2, 0, 5);
    }

    void actionBanc()
    {
        I = 3;
        counterBanc++;
        carre.SetActive(true);
        int cout = 2000;
        budget = budget - cout;
        money.text = budget.ToString();
        majSatisfaction(0, 2, 10, 2, 0, 0);
    }
    void actionAire_jeu()
    {
        I = 4;
        counterAire_jeux++;
        carre.SetActive(true);
        int cout = 15000;
        budget = budget - cout;
        money.text = budget.ToString();
        majSatisfaction(5, 0, 0, 0, 2, 2);
    }
    void actionBureau()
    {
        I = 5;
        counterBureau++;
        carre.SetActive(true);
        int cout = 50000;
        budget = budget - cout;
        money.text = budget.ToString();
        majSatisfaction(0, 15, 0, 0, 0, 10);
    }
    void actionTram()
    {
        I = 6;
        counterTram++;
        carre.SetActive(true);
        int cout = 70000;
        budget = budget - cout;
        money.text = budget.ToString();
        majSatisfaction(5, 5, 5, 0, 0, 0);
    }
    void actionMaison_retraite()
    {
        I = 7;
        counterMaison_retraire++;
        carre.SetActive(true);
        int cout = 45000;
        budget = budget - cout;
        money.text = budget.ToString();
        majSatisfaction(0, 2, 10, 15, 0, 0);
    }
    void actionHopital()
    {
        I = 8;
        counterHopital++;
        carre.SetActive(true);
        int cout = 50000;
        budget = budget - cout;
        money.text = budget.ToString();
        majSatisfaction(0, 2, 15, 5, 0, 0);
    }
    void actionBurger()
    {
        I = 9;
        counterBurger++;
        carre.SetActive(true);
        int cout = 15000;
        budget = budget - cout;
        money.text = budget.ToString();
        majSatisfaction(5, 3, 0, 0, 0, 10);
    }
    void actionArcade()
    {
        I = 10;
        counterArcade++;
        carre.SetActive(true);
        int cout = 5000;
        budget = budget - cout;
        money.text = budget.ToString();
        majSatisfaction(5, 1, 0, 0, 0, 5);
    }

    void majSatisfaction(int jsa,int tsa,int rsa, int jins,int tins,int rins)
    {
        jeuneSA1 = jeuneSA1 + jsa - jins;
        if (jeuneSA1 < 0)
        {
            jeuneSA1 = 0;
        }
        else if (jeuneSA1 > 50)
        {
            jeuneSA1 = 50;
        }
        jeuneINS1 = jeuneINS1 - jsa + jins;
        if (jeuneINS1 < 0)
        {
            jeuneINS1 = 0;
        }
        else if (jeuneINS1 > 50)
        {
            jeuneINS1 = 50;
        }
        retraiteSA1 = retraiteSA1 + rsa - rins;
        if (retraiteSA1 < 0)
        {
            retraiteSA1 = 0;
        }
        else if (retraiteSA1 > 50)
        {
            retraiteSA1 = 50;
        }
        retraiteINS1 = retraiteINS1 - rsa +rins ;
        if (retraiteINS1 < 0)
        {
            retraiteINS1 = 0;
        }
        else if (retraiteINS1 > 50)
        {
            retraiteINS1 = 50;
        }
        travailleurSA1 = travailleurSA1 + tsa - tins ;
        if (travailleurSA1 < 0)
        {
            travailleurSA1 = 0;
        }
        else if (travailleurSA1 > 50)
        {
            travailleurSA1 = 50;
        }
        travailleurINS1 = travailleurINS1 - tsa + tins ;
        if (travailleurINS1 < 0)
        {
            travailleurINS1 = 0;
        }
        else if (travailleurINS1 > 50)
        {
            travailleurINS1 = 50;
        }

        jeuneSA.text = jeuneSA1.ToString();
        jeuneINS.text = jeuneINS1.ToString();
        retraiteSA.text = retraiteSA1.ToString();
        retraiteINS.text = retraiteINS1.ToString();
        travailleurSA.text = travailleurSA1.ToString();
        travailleurINS.text = travailleurINS1.ToString();
    }
}
