# Cahier des Charges du projet T4 BOC22
(portant sur la co-construction dans le cadre de la prévention des effets de la pollution sur le corps humain pour les enfants)

<br>
<br>

## Projet : 
- Rédacteurs : Alexandre Christen, Thibault Clauss, Sean Theiss, Thomas Huong
- URL GIT : https://git.unistra.fr/les-redoublants/projet_t4 

<br>

## Instructions :
- Prendre des notes, identifier des questions et obtenir des réponses lors de la rencontre tuteur.trice.
- Synthétiser les notes la section « Description des objectifs pédagogiques du jeu »
- Réaliser un prototype d’un jeu sérieux à partir de ces notes.
- Compléter les autres sections de ce document de travail
- [Copier](https://gitlab.unistra.fr/gossa/t432/-/blob/master/Evaluation-T4.md) sur votre dépôt GIT.
- Accompagner les étudiants en T2 à remplir cette évaluation puis à améliorer ce document en utilisant la fonction “commentaire”
- Transformer ce document finalisé, sauf les notes de rencontre, en README.md de votre projet avec todo-list (“- [ ]”) pour chaque item.

## Le jeu.
### Description des objectifs pédagogiques du jeu
#### Objectif pédagogique général
<br>
L'objectif est de faire comprendre au joueur le fonctionnement d'une structure de co-construction, spécifiquement sur les thèmes de la prévention des effets de la pollution sur le corps humain auprès des enfants, avec une contrainte de score pour garder un financement.

<br>

#### Description des objectifs pédagogiques

Le joueur incarne un chef de projet dans une association qui crée des jeux sérieux (donc à but éducatif) pour montrer aux enfants l’impact de la pollution sur le corps humain

La co-construction apparaît comme une méthode d'organisation de projet. On peut séparer les objectifs à apprendre pour le joueur dans les catégories suivantes :

- Le joueur aura des métiers à choisir dans son équipe (designer, qualitativiste, médecin, représentant, maître d'œuvre et journaliste) possédant chacun un rôle particulier, aucune obligation d’avoir un membre de chaque métier (mais fortement conseillé). Il devra faire attention aux différents coûts de chacun (bien que le financement ne sera pas représenté en tant que tel, il y aura une limite dans le choix des métiers, un médecin demandera par exemple plus qu'un designer).

- Il faudra faire attention à la cohésion et au bon fonctionnement de l’équipe créée : bien gérer la répartition de l’importance de chaque aspect de développement (scientifique, économique, et design) en fonction de l’équipe choisie. Par exemple, choisir plusieurs médecins implique le fait d’investir plus dans l’aspect scientifique

- Il prendra part aux différentes parties du processus de traitement de projet de la co-construction (le processus sera imposé mais l'objectif est de laisser le joueur le lancer), ce qui va jouer sur les décisions des différents membres du projet lors des réunions et ainsi sur la mallette (si les membres décide d’être plus scientifique que ludique cela va se ressentir dans la mallette et cela peut enlever un peu l’intérêt des enfants)

- Le financement du projet sera une représentante de la victoire/défaite, le joueur devra fournir un score final justifiant la poursuite du financement (le score sera calculé par rapport à la mallette finale, c’est-à-dire si elle a “plu”, hérité d’un calcul comportant un aléatoire très léger, on considérera que les enfants souhaite quelque chose d’équilibré entre ludique et scientifique et si la mallette est bien fourni cela sera un plus, mais moins de production signifie aussi moins de test)

- Du au contexte du projet de co-conception, le joueur aura à comprendre que l'apprentissage pour les enfants passe par la lucidité tout en laissant place au domaine scientifique pour que les enfants en gardent quelque chose.

- Finalement, le joueur comprendra l'importance de chacun des corps de métiers dans le projet via le score final et le kit produit, c'est-à-dire qu'un kit parfait n'existe pas mais qu'il faut savoir jouer avec les différentes métiers (via le nombre notamment) pour produire celui qui sera le plus à même de mêler le côté scientifique avec le côté ludique sans oublier le coût de fabrication (sans chiffre réel, juste une indication pour le joueur)
<br>

#### Description du jeu

Type de jeu : Jeu de gestion à menu successif
Incarnation du joueur : Chef de projet dans une association

Déroulement d’une partie

- Le joueur lance la partie
- Il arrive sur une fenêtre donnant un briefing et permettant de choisir les différents métiers à recruter.
- Il doit ensuite jouer sur des sliders pour régler l'importance des 3 grandes statistiques, c'est-à-dire le design, le scientifique ainsi que l'économique (le "coût" des mallettes)
- Ensuite, la première réunion est enclenchée et chacun des membres donne son avis pour donner une direction au projet.
- Réunion suivante, les membres de l'équipe donnent leurs avis
- Ensuite le premier prototype est créé amenant le joueur a confronté le maître d'oeuvre concernant le coût et modifications de nos priorités (donc les statistiques)
- La phase de test et le retour avec lesquelles le joueur verra si les choix effectué précédemment sont bons
- Finalement, la phase d'amélioration est lancé avec laquelle le joueur peut modifier les idées pour la mallette
- Phase de lancement qui décidera du succès du projet en donnant un score au joueur (et si le financement est conservé)
<br>

#### Paramétrage d’une partie

Le joueur pourra, au début de chaque partie, modifier :
- Le personnel de son équipe
- Son intérêt pour le côté scientifique
- Son intérêt pour le côté ludique
- Son intérêt pour le côté économique
<br>

####  Modèle conceptuel applicatif
Liste, MCD ou diagramme de classe décrivant le jeu, et en particulier les entités, en séparant ce qui est exposé au joueur de ce qui est interne au jeu.
<br>

####  Description des fonctionnalités 
Actions du joueur
Cliquer sur des boutons et bouger des sliders. (jeu si simple qu’un enfant pourrait y jouer sans savoir jouer, un prérequis bien souvent oublié pour les jeux sérieux)

#### Informations au joueur

Liste des informations présentées au joueurs. Peut être organisé en module.
- Composition de son équipe
- Point qu’il attribue aux 3 statistiques du jeu (Scientifique, Économique et Design)
- Les différentes valeures de la mallette
- le score final
- le financement initial
<br>

#### Moteur interne

Gestion des tours
Valider :  
- les stats personnelles
- valider l’équipe
- valider la fin d’un tour (réunion, test, création de l’équipe,....)

Gestion des tâches 
Attribuer : 
- modifier le nombre de membres de l’équipe
- valider les différentes étapes du projet
<br>
<br>

### Scénarios
#### Scénario tutorial
Décrire en détail un scénario qui s’appuie sur toutes les fonctionnalités mais sans difficulté pour le joueur.

PAS FINI, PAS MOYEN DE METTRE DE TUTORIEL

Paramètres :
- équipe : [1 médecin, 1 designer, 1 artiste, 1 maître d’oeuvre, 1 journaliste, 1 qualitativiste]
- préférence des stats : (Scientifique moitié, Ludique 3 quart, Économique 1 tier)

Scénarios complémentaires
Décrire moins précisément d’autres idées de scénarios.

Scénario obligeant le joueur à essayer de réfléchir avec une équipe dans laquelle il manque un métier
- équipe : [1 médecin, 1 designer, 1 artiste, 1 maître d’oeuvre, 1 journaliste]
- préférence des stats : (Scientifique moitié, Ludique 3 quart, Économique 1 tier)



### Fonctionnalités additionnelles

On pourrait imaginer que les personnes finançant le projet aient un rôle à jouer dans le projet et que certains souhaite voir celui-ci se terminer le plus tôt possible tandis que d’autres préfèrerait une mallette économique et que le joueur devra agir pour que son équipe soit la plus hiérarchisé pour que tout le monde soit d’accord plus facilement et finir le projet plus vite.
On peut aussi imaginer que le joueur soit confronté par le maître d'œuvre à chaque fois qu’un nouveau prototype est lancé concernant le coût de la mallette. Ou encore, on peut imaginer que le joueur pourra interagir avec le contenu de la mallette et que le contenu proposé soit influencé par les réunions et volontés des membres du projet.
<br>
<br>

### Définition des termes :

Mallette : une mallette (boite) qui est le produit que vous essayez de développer. Dans cette mallette il y aura différents “jeux” expliquant aux enfants les effets de la pollution sur le corps humain (pas visible dans le jeu)

Stat  Scientifique : statistique qui influencera les décisions des membres lors des réunions et poussera à choisir une mallette plus orienté vers la précision scientifique

Stat Économique : statistique qui influencera les décisions des membres lors des réunions et poussera à choisir une mallette plus orienté vers un coût bas (donc des objets de moindre qualité dedans, moins intéressant

Stat Ludique : statistique qui influencera les décisions des membres lors des réunions et poussera à choisir une mallette plus orienté vers la lucidité (donc des mallettes qui apprendront moins de choses mais avec il est quasiment sur que les enfants apprendre des choses)

Médecin : Un personnage qui va être intéressé par un côté scientifique et qui va essayer de tirer les décisions vers lui (donc vers le côté scientifique

Qualitativiste : Personnage intéressé par une neutralité entre les différentes statistiques et qui est nécessaire pour avoir un retour complet des prototypes

Journaliste : Responsable de la véracité des informations scientifiques. Très intéressé par le côté scientifique mais son poids dans les décisions est beaucoup plus faible

Designer : Artiste, intéressé par le côté ludique du jeu, poid faible dans les décisions. Intéressé par des mallettes plutôt cher

Maître d'œuvre : Essaie d’avoir une mallette avec un coup plutôt bas (raisonnable). Poids moyennement important dans les décisions
